IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
2ccd::/16- First address
2ccd::- Last address
2ccd:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
2ccd:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
d.c.c.2.ip6.arpa
Split into smaller subnets
2ccd::/16 makes 65,536 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2ccd::/32 | 2ccd:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2ccd:1::/32 | 2ccd:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2ccd:2::/32 | 2ccd:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2ccd:3::/32 | 2ccd:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2ccd:4::/32 | 2ccd:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2ccd:5::/32 | 2ccd:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2ccd:6::/32 | 2ccd:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2ccd:7::/32 | 2ccd:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2ccd:8::/32 | 2ccd:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2ccd:9::/32 | 2ccd:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2ccd:a::/32 | 2ccd:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2ccd:b::/32 | 2ccd:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2ccd:c::/32 | 2ccd:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2ccd:d::/32 | 2ccd:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2ccd:e::/32 | 2ccd:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2ccd:f::/32 | 2ccd:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2ccd:10::/32 | 2ccd:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2ccd:11::/32 | 2ccd:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2ccd:12::/32 | 2ccd:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2ccd:13::/32 | 2ccd:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2ccd:14::/32 | 2ccd:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2ccd:15::/32 | 2ccd:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2ccd:16::/32 | 2ccd:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2ccd:17::/32 | 2ccd:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2ccd:18::/32 | 2ccd:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2ccd:19::/32 | 2ccd:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2ccd:1a::/32 | 2ccd:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2ccd:1b::/32 | 2ccd:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2ccd:1c::/32 | 2ccd:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2ccd:1d::/32 | 2ccd:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2ccd:1e::/32 | 2ccd:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2ccd:1f::/32 | 2ccd:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2ccd:20::/32 | 2ccd:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2ccd:21::/32 | 2ccd:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2ccd:22::/32 | 2ccd:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2ccd:23::/32 | 2ccd:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2ccd:24::/32 | 2ccd:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2ccd:25::/32 | 2ccd:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2ccd:26::/32 | 2ccd:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2ccd:27::/32 | 2ccd:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2ccd:28::/32 | 2ccd:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2ccd:29::/32 | 2ccd:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2ccd:2a::/32 | 2ccd:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2ccd:2b::/32 | 2ccd:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2ccd:2c::/32 | 2ccd:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2ccd:2d::/32 | 2ccd:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2ccd:2e::/32 | 2ccd:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2ccd:2f::/32 | 2ccd:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2ccd:30::/32 | 2ccd:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2ccd:31::/32 | 2ccd:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2ccd:32::/32 | 2ccd:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2ccd:33::/32 | 2ccd:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2ccd:34::/32 | 2ccd:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2ccd:35::/32 | 2ccd:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2ccd:36::/32 | 2ccd:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2ccd:37::/32 | 2ccd:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2ccd:38::/32 | 2ccd:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2ccd:39::/32 | 2ccd:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2ccd:3a::/32 | 2ccd:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2ccd:3b::/32 | 2ccd:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2ccd:3c::/32 | 2ccd:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2ccd:3d::/32 | 2ccd:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2ccd:3e::/32 | 2ccd:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2ccd:3f::/32 | 2ccd:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2ccd:40::/32 | 2ccd:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2ccd:41::/32 | 2ccd:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2ccd:42::/32 | 2ccd:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2ccd:43::/32 | 2ccd:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2ccd:44::/32 | 2ccd:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2ccd:45::/32 | 2ccd:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2ccd:46::/32 | 2ccd:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2ccd:47::/32 | 2ccd:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2ccd:48::/32 | 2ccd:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2ccd:49::/32 | 2ccd:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2ccd:4a::/32 | 2ccd:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2ccd:4b::/32 | 2ccd:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2ccd:4c::/32 | 2ccd:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2ccd:4d::/32 | 2ccd:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2ccd:4e::/32 | 2ccd:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2ccd:4f::/32 | 2ccd:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2ccd:50::/32 | 2ccd:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2ccd:51::/32 | 2ccd:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2ccd:52::/32 | 2ccd:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2ccd:53::/32 | 2ccd:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2ccd:54::/32 | 2ccd:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2ccd:55::/32 | 2ccd:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2ccd:56::/32 | 2ccd:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2ccd:57::/32 | 2ccd:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2ccd:58::/32 | 2ccd:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2ccd:59::/32 | 2ccd:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2ccd:5a::/32 | 2ccd:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2ccd:5b::/32 | 2ccd:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2ccd:5c::/32 | 2ccd:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2ccd:5d::/32 | 2ccd:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2ccd:5e::/32 | 2ccd:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2ccd:5f::/32 | 2ccd:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2ccd:60::/32 | 2ccd:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2ccd:61::/32 | 2ccd:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2ccd:62::/32 | 2ccd:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2ccd:63::/32 | 2ccd:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2ccd:64::/32 | 2ccd:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2ccd:65::/32 | 2ccd:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2ccd:66::/32 | 2ccd:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2ccd:67::/32 | 2ccd:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2ccd:68::/32 | 2ccd:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2ccd:69::/32 | 2ccd:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2ccd:6a::/32 | 2ccd:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2ccd:6b::/32 | 2ccd:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2ccd:6c::/32 | 2ccd:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2ccd:6d::/32 | 2ccd:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2ccd:6e::/32 | 2ccd:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2ccd:6f::/32 | 2ccd:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2ccd:70::/32 | 2ccd:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2ccd:71::/32 | 2ccd:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2ccd:72::/32 | 2ccd:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2ccd:73::/32 | 2ccd:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2ccd:74::/32 | 2ccd:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2ccd:75::/32 | 2ccd:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2ccd:76::/32 | 2ccd:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2ccd:77::/32 | 2ccd:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2ccd:78::/32 | 2ccd:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2ccd:79::/32 | 2ccd:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2ccd:7a::/32 | 2ccd:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2ccd:7b::/32 | 2ccd:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2ccd:7c::/32 | 2ccd:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2ccd:7d::/32 | 2ccd:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2ccd:7e::/32 | 2ccd:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2ccd:7f::/32 | 2ccd:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2ccd:80::/32 | 2ccd:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2ccd:81::/32 | 2ccd:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2ccd:82::/32 | 2ccd:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2ccd:83::/32 | 2ccd:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2ccd:84::/32 | 2ccd:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2ccd:85::/32 | 2ccd:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2ccd:86::/32 | 2ccd:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2ccd:87::/32 | 2ccd:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2ccd:88::/32 | 2ccd:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2ccd:89::/32 | 2ccd:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2ccd:8a::/32 | 2ccd:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2ccd:8b::/32 | 2ccd:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2ccd:8c::/32 | 2ccd:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2ccd:8d::/32 | 2ccd:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2ccd:8e::/32 | 2ccd:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2ccd:8f::/32 | 2ccd:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2ccd:90::/32 | 2ccd:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2ccd:91::/32 | 2ccd:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2ccd:92::/32 | 2ccd:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2ccd:93::/32 | 2ccd:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2ccd:94::/32 | 2ccd:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2ccd:95::/32 | 2ccd:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2ccd:96::/32 | 2ccd:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2ccd:97::/32 | 2ccd:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2ccd:98::/32 | 2ccd:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2ccd:99::/32 | 2ccd:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2ccd:9a::/32 | 2ccd:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2ccd:9b::/32 | 2ccd:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2ccd:9c::/32 | 2ccd:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2ccd:9d::/32 | 2ccd:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2ccd:9e::/32 | 2ccd:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2ccd:9f::/32 | 2ccd:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2ccd:a0::/32 | 2ccd:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2ccd:a1::/32 | 2ccd:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2ccd:a2::/32 | 2ccd:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2ccd:a3::/32 | 2ccd:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2ccd:a4::/32 | 2ccd:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2ccd:a5::/32 | 2ccd:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2ccd:a6::/32 | 2ccd:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2ccd:a7::/32 | 2ccd:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2ccd:a8::/32 | 2ccd:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2ccd:a9::/32 | 2ccd:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2ccd:aa::/32 | 2ccd:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2ccd:ab::/32 | 2ccd:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2ccd:ac::/32 | 2ccd:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2ccd:ad::/32 | 2ccd:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2ccd:ae::/32 | 2ccd:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2ccd:af::/32 | 2ccd:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2ccd:b0::/32 | 2ccd:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2ccd:b1::/32 | 2ccd:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2ccd:b2::/32 | 2ccd:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2ccd:b3::/32 | 2ccd:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2ccd:b4::/32 | 2ccd:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2ccd:b5::/32 | 2ccd:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2ccd:b6::/32 | 2ccd:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2ccd:b7::/32 | 2ccd:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2ccd:b8::/32 | 2ccd:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2ccd:b9::/32 | 2ccd:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2ccd:ba::/32 | 2ccd:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2ccd:bb::/32 | 2ccd:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2ccd:bc::/32 | 2ccd:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2ccd:bd::/32 | 2ccd:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2ccd:be::/32 | 2ccd:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2ccd:bf::/32 | 2ccd:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2ccd:c0::/32 | 2ccd:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2ccd:c1::/32 | 2ccd:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2ccd:c2::/32 | 2ccd:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2ccd:c3::/32 | 2ccd:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2ccd:c4::/32 | 2ccd:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2ccd:c5::/32 | 2ccd:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2ccd:c6::/32 | 2ccd:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2ccd:c7::/32 | 2ccd:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2ccd:c8::/32 | 2ccd:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2ccd:c9::/32 | 2ccd:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2ccd:ca::/32 | 2ccd:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2ccd:cb::/32 | 2ccd:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2ccd:cc::/32 | 2ccd:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2ccd:cd::/32 | 2ccd:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2ccd:ce::/32 | 2ccd:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2ccd:cf::/32 | 2ccd:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2ccd:d0::/32 | 2ccd:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2ccd:d1::/32 | 2ccd:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2ccd:d2::/32 | 2ccd:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2ccd:d3::/32 | 2ccd:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2ccd:d4::/32 | 2ccd:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2ccd:d5::/32 | 2ccd:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2ccd:d6::/32 | 2ccd:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2ccd:d7::/32 | 2ccd:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2ccd:d8::/32 | 2ccd:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2ccd:d9::/32 | 2ccd:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2ccd:da::/32 | 2ccd:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2ccd:db::/32 | 2ccd:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2ccd:dc::/32 | 2ccd:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2ccd:dd::/32 | 2ccd:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2ccd:de::/32 | 2ccd:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2ccd:df::/32 | 2ccd:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2ccd:e0::/32 | 2ccd:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2ccd:e1::/32 | 2ccd:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2ccd:e2::/32 | 2ccd:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2ccd:e3::/32 | 2ccd:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2ccd:e4::/32 | 2ccd:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2ccd:e5::/32 | 2ccd:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2ccd:e6::/32 | 2ccd:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2ccd:e7::/32 | 2ccd:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2ccd:e8::/32 | 2ccd:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2ccd:e9::/32 | 2ccd:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2ccd:ea::/32 | 2ccd:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2ccd:eb::/32 | 2ccd:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2ccd:ec::/32 | 2ccd:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2ccd:ed::/32 | 2ccd:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2ccd:ee::/32 | 2ccd:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2ccd:ef::/32 | 2ccd:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2ccd:f0::/32 | 2ccd:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2ccd:f1::/32 | 2ccd:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2ccd:f2::/32 | 2ccd:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2ccd:f3::/32 | 2ccd:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2ccd:f4::/32 | 2ccd:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2ccd:f5::/32 | 2ccd:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2ccd:f6::/32 | 2ccd:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2ccd:f7::/32 | 2ccd:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2ccd:f8::/32 | 2ccd:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2ccd:f9::/32 | 2ccd:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2ccd:fa::/32 | 2ccd:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2ccd:fb::/32 | 2ccd:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2ccd:fc::/32 | 2ccd:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2ccd:fd::/32 | 2ccd:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2ccd:fe::/32 | 2ccd:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2ccd:ff::/32 | 2ccd:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |